
Foreman - Bug #37270

OS bootfiles API not working because of misspelled class

03/14/2024 09:59 PM - Bernhard Suttner

Status: Closed   

Priority: Normal   

Assignee: Bernhard Suttner   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 3.10.0, 3.11.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/10096,

https://github.com/theforeman/foreman/p

ull/10103

  

Description

Openstruct need to be OpenStruct

Related issues:

Blocks Foreman - Bug #37243: Calling the api/v2/operatingsystems#bootfiles en... New

Associated revisions

Revision e099e49c - 03/15/2024 04:00 PM - Bernhard Suttner

Fixes #37270 - Misspelled OpenStruct class name

History

#1 - 03/14/2024 10:00 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Bernhard Suttner

- Pull request https://github.com/theforeman/foreman/pull/10096 added

#2 - 03/15/2024 04:00 PM - The Foreman Bot

- Fixed in Releases 3.11.0 added

#3 - 03/15/2024 04:00 PM - Bernhard Suttner

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|e099e49c201f01e407ec1147364f2f0e28ca7466.

#4 - 03/18/2024 03:10 PM - Markus Bucher

- Blocks Bug #37243: Calling the api/v2/operatingsystems#bootfiles endpoint results in unknown requirements added

#5 - 03/19/2024 02:18 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/10103 added

#6 - 03/20/2024 06:03 PM - The Foreman Bot

- Fixed in Releases 3.10.0 added
